Subject: bug#55515: 29.0.50; Cannot restart a named daemon/create two named dameons

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 May 2022 10:16:00 +0300

> From: Visuwesh <[email-masked]>
> Date: Thu, 19 May 2022 09:14:07 +0530
> 
> When trying to create two named daemons, Emacs get stuck.  The problem
> is also exhibited when I close a named daemon and try to recreate it as
> in,
> 
>     % emacs -Q --daemon --socket-name=a
>     Starting Emacs daemon.
>     % pkill emacs
>     % emacs -Q --daemon --socket-name=a
>     Starting Emacs daemon.
>     ...
> 
> I don't get the prompt back after recreating the daemon.  If I use a
> different socket-name, the same problem is exhibited.

Why are you using "--socket-name=NAME" when starting the daemon?  That
option is for emacsclient; the daemon should be invoked with the
"--daemon-NAME" option instead.